#include "PlayerInventory.h"

auto PlayerInventory::getSelectedSlot() -> int {
	return *reinterpret_cast<int*>((uintptr_t)this + 0x10);
}

auto PlayerInventory::setSelectedSlot(int slot) -> void {
	*reinterpret_cast<int*>((uintptr_t)this + 0x10) = slot;
}

auto PlayerInventory::getHandSlot() -> int {
	return *reinterpret_cast<int*>((uintptr_t)this + 0x1C);
}

auto PlayerInventory::setHandSlot(int slot) -> void {
	*reinterpret_cast<int*>((uintptr_t)this + 0x1C) = slot;
}

auto PlayerInventory::getInventory() -> Inventory* {
	return *reinterpret_cast<Inventory**>((uintptr_t)this + 0xB8);
}
